#project_open -current_revision NiosII_cycloneII_2c35_TSE_SGDMA.qpf

#Project settings
set_global_assignment -name DEVICE EP2C35F672C6
set_global_assignment -name FAMILY "Cyclone II"
set_global_assignment -name TOP_LEVEL_ENTITY NiosII_cycloneII_2c35_TSE_SGDMA

#Unused pins settings
set_global_assignment -name CYCLONEII_RESERVE_NCEO_AFTER_CONFIGURATION "USE AS REGULAR IO"
set_global_assignment -name RESERVE_ASDO_AFTER_CONFIGURATION "AS INPUT TRI-STATED"
set_global_assignment -name RESERVE_ALL_UNUSED_PINS_NO_OUTPUT_GND "AS INPUT TRI-STATED"
set_global_assignment -name RESERVE_ALL_UNUSED_PINS "AS INPUT TRI-STATED"

#Synthesis settings
set_global_assignment -name PHYSICAL_SYNTHESIS_COMBO_LOGIC ON
set_global_assignment -name PHYSICAL_SYNTHESIS_REGISTER_DUPLICATION ON
set_global_assignment -name PHYSICAL_SYNTHESIS_ASYNCHRONOUS_SIGNAL_PIPELINING ON
set_global_assignment -name PHYSICAL_SYNTHESIS_REGISTER_RETIMING ON
set_global_assignment -name PHYSICAL_SYNTHESIS_EFFORT NORMAL
set_global_assignment -name CYCLONEII_OPTIMIZATION_TECHNIQUE SPEED
set_global_assignment -name OPTIMIZE_HOLD_TIMING "ALL PATHS"
set_global_assignment -name CYCLONEII_M4K_COMPATIBILITY ON

#Timing constraints
set_global_assignment -name ENABLE_ADVANCED_IO_TIMING OFF
set_instance_assignment -name CLOCK_SETTINGS PLD_CLOCKINPUT -to PLD_CLOCKINPUT
set_global_assignment -name FMAX_REQUIREMENT "50 MHz" -section_id PLD_CLOCKINPUT
set_instance_assignment -name CLOCK_SETTINGS PLD_CLKOUT -to PLD_CLKOUT
set_global_assignment -name FMAX_REQUIREMENT "125 MHz" -section_id PLD_CLKOUT
set_instance_assignment -name CLOCK_SETTINGS phy_rx_clk -to phy_rx_clk
set_global_assignment -name FMAX_REQUIREMENT "125 MHz" -section_id phy_rx_clk
set_instance_assignment -name CLOCK_SETTINGS phy_tx_clk -to phy_tx_clk
set_global_assignment -name FMAX_REQUIREMENT "125 MHz" -section_id phy_tx_clk
set_instance_assignment -name CLOCK_SETTINGS tx_mux_clk -to "gmii_mii_mux:inst|tx_clk_int"
set_global_assignment -name FMAX_REQUIREMENT "125 MHz" -section_id tx_mux_clk

set_instance_assignment -name CUT ON -to "gmii_mii_mux:inst|mode_reg2"
set_instance_assignment -name GLOBAL_SIGNAL "GLOBAL CLOCK" -to phy_tx_clk

set_instance_assignment -name MULTICYCLE 5 -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_altsyncram_dpm_fifo:U_RTSM|altsyncram*" -to *
set_instance_assignment -name MULTICYCLE 5 -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*" -to *
set_instance_assignment -name MULTICYCLE 5 -from * -to "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_retransmit_cntl:U_RETR|*"
set_instance_assignment -name MULTICYCLE 5 -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|half_duplex_ena_reg2" -to *
set_instance_assignment -name TPD_REQUIREMENT "7 ns" -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_a_fifo_opt*:TX_DATA|dout_reg_sft" -to "*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*"
set_instance_assignment -name TPD_REQUIREMENT "7 ns" -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_a_fifo_opt*:TX_DATA|eop_sft" -to "*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*"
set_instance_assignment -name TPD_REQUIREMENT "7 ns" -from "*|altera_tse_top_w_fifo:U_MAC|altera_tse_tx_min_ff:U_TXFF|altera_tse_a_fifo_opt*:TX_DATA|sop_reg" -to "*|altera_tse_top_w_fifo:U_MAC|altera_tse_top_1geth:U_GETH|altera_tse_mac_tx:U_TX|*"

#Fast I/O register assginment
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to m_tx_d_from_the_tse_mac
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to m_tx_en_from_the_tse_mac
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to m_tx_err_from_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to m_rx_col_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to m_rx_crs_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to m_rx_d_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to m_rx_en_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to m_rx_err_to_the_tse_mac

set_instance_assignment -name FAST_INPUT_REGISTER ON -to gm_rx_d_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to gm_rx_dv_to_the_tse_mac
set_instance_assignment -name FAST_INPUT_REGISTER ON -to gm_rx_err_to_the_tse_mac
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to gm_tx_d_from_the_tse_mac
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to gm_tx_en_from_the_tse_mac
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to gm_tx_err_from_the_tse_mac

set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[0]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[1]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[2]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[3]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[4]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[5]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[6]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_d[7]
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_dv
set_instance_assignment -name FAST_INPUT_REGISTER ON -to phy_rx_err
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[0]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[1]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[2]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[3]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[4]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[5]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[6]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_d[7]
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_en
set_instance_assignment -name FAST_OUTPUT_REGISTER ON -to phy_tx_err

#Pin/location assignment
set_location_assignment PIN_C5 -to PLD_CLEAR_N
set_location_assignment PIN_B13 -to PLD_CLOCKINPUT
set_location_assignment PIN_AF14 -to phy_rx_clk
set_location_assignment PIN_F20 -to PLD_CLKOUT
set_location_assignment PIN_AC17 -to mdc
set_location_assignment PIN_AA16 -to mdio
set_location_assignment PIN_V18 -to phy_rx_col
set_location_assignment PIN_AD21 -to phy_rx_crs
set_location_assignment PIN_AC21 -to phy_rx_d[7]
set_location_assignment PIN_AB21 -to phy_rx_d[6]
set_location_assignment PIN_AD23 -to phy_rx_d[5]
set_location_assignment PIN_AE23 -to phy_rx_d[4]
set_location_assignment PIN_AC22 -to phy_rx_d[3]
set_location_assignment PIN_V22 -to phy_rx_d[2]
set_location_assignment PIN_AF23 -to phy_rx_d[1]
set_location_assignment PIN_AE24 -to phy_rx_d[0]
set_location_assignment PIN_AF22 -to phy_rx_dv
set_location_assignment PIN_AD22 -to phy_rx_err
set_location_assignment PIN_T21 -to phy_tx_clk
set_location_assignment PIN_U17 -to phy_tx_d[7]
set_location_assignment PIN_U18 -to phy_tx_d[6]
set_location_assignment PIN_AF21 -to phy_tx_d[5]
set_location_assignment PIN_AE21 -to phy_tx_d[4]
set_location_assignment PIN_AB20 -to phy_tx_d[3]
set_location_assignment PIN_AC20 -to phy_tx_d[2]
set_location_assignment PIN_AF20 -to phy_tx_d[1]
set_location_assignment PIN_AE20 -to phy_tx_d[0]
set_location_assignment PIN_AE22 -to phy_tx_en
set_location_assignment PIN_W19 -to phy_tx_err
set_location_assignment PIN_AC19 -to act_n
set_location_assignment PIN_W17 -to link100_n
set_location_assignment PIN_D7 -to ssram_adsp_n
set_location_assignment PIN_H10 -to ssram_adv_n
set_location_assignment PIN_E18 -to enet_ads_n
set_location_assignment PIN_E26 -to enet_aen
set_location_assignment PIN_E5 -to sram_clk
set_location_assignment PIN_G9 -to adsc_n_to_the_ext_ssram
set_location_assignment PIN_M3 -to bw_n_to_the_ext_ssram[0]
set_location_assignment PIN_M2 -to bw_n_to_the_ext_ssram[1]
set_location_assignment PIN_M5 -to bw_n_to_the_ext_ssram[2]
set_location_assignment PIN_M4 -to bw_n_to_the_ext_ssram[3]
set_location_assignment PIN_J9 -to bwe_n_to_the_ext_ssram
set_location_assignment PIN_C7 -to chipenable1_n_to_the_ext_ssram
set_instance_assignment -name VIRTUAL_PIN ON -to ext_ssram_bus_address[1]
set_instance_assignment -name VIRTUAL_PIN ON -to ext_ssram_bus_address[0]
set_location_assignment PIN_G5 -to ext_ssram_bus_address[2]
set_location_assignment PIN_G6 -to ext_ssram_bus_address[3]
set_location_assignment PIN_C2 -to ext_ssram_bus_address[4]
set_location_assignment PIN_C3 -to ext_ssram_bus_address[5]
set_location_assignment PIN_B2 -to ext_ssram_bus_address[6]
set_location_assignment PIN_B3 -to ext_ssram_bus_address[7]
set_location_assignment PIN_L9 -to ext_ssram_bus_address[8]
set_location_assignment PIN_F7 -to ext_ssram_bus_address[9]
set_location_assignment PIN_L10 -to ext_ssram_bus_address[10]
set_location_assignment PIN_J5 -to ext_ssram_bus_address[11]
set_location_assignment PIN_L4 -to ext_ssram_bus_address[12]
set_location_assignment PIN_C6 -to ext_ssram_bus_address[13]
set_location_assignment PIN_A4 -to ext_ssram_bus_address[14]
set_location_assignment PIN_B4 -to ext_ssram_bus_address[15]
set_location_assignment PIN_A5 -to ext_ssram_bus_address[16]
set_location_assignment PIN_B5 -to ext_ssram_bus_address[17]
set_location_assignment PIN_B6 -to ext_ssram_bus_address[18]
set_location_assignment PIN_A6 -to ext_ssram_bus_address[19]
set_location_assignment PIN_C4 -to ext_ssram_bus_address[20]
set_location_assignment PIN_L2 -to ext_ssram_bus_data[0]
set_location_assignment PIN_L3 -to ext_ssram_bus_data[1]
set_location_assignment PIN_L7 -to ext_ssram_bus_data[2]
set_location_assignment PIN_L6 -to ext_ssram_bus_data[3]
set_location_assignment PIN_N9 -to ext_ssram_bus_data[4]
set_location_assignment PIN_P9 -to ext_ssram_bus_data[5]
set_location_assignment PIN_K1 -to ext_ssram_bus_data[6]
set_location_assignment PIN_K2 -to ext_ssram_bus_data[7]
set_location_assignment PIN_K4 -to ext_ssram_bus_data[8]
set_location_assignment PIN_K3 -to ext_ssram_bus_data[9]
set_location_assignment PIN_J2 -to ext_ssram_bus_data[10]
set_location_assignment PIN_J1 -to ext_ssram_bus_data[11]
set_location_assignment PIN_H2 -to ext_ssram_bus_data[12]
set_location_assignment PIN_H1 -to ext_ssram_bus_data[13]
set_location_assignment PIN_J3 -to ext_ssram_bus_data[14]
set_location_assignment PIN_J4 -to ext_ssram_bus_data[15]
set_location_assignment PIN_H3 -to ext_ssram_bus_data[16]
set_location_assignment PIN_H4 -to ext_ssram_bus_data[17]
set_location_assignment PIN_G1 -to ext_ssram_bus_data[18]
set_location_assignment PIN_G2 -to ext_ssram_bus_data[19]
set_location_assignment PIN_F2 -to ext_ssram_bus_data[20]
set_location_assignment PIN_F1 -to ext_ssram_bus_data[21]
set_location_assignment PIN_K8 -to ext_ssram_bus_data[22]
set_location_assignment PIN_K7 -to ext_ssram_bus_data[23]
set_location_assignment PIN_G4 -to ext_ssram_bus_data[24]
set_location_assignment PIN_G3 -to ext_ssram_bus_data[25]
set_location_assignment PIN_K6 -to ext_ssram_bus_data[26]
set_location_assignment PIN_K5 -to ext_ssram_bus_data[27]
set_location_assignment PIN_E2 -to ext_ssram_bus_data[28]
set_location_assignment PIN_E1 -to ext_ssram_bus_data[29]
set_location_assignment PIN_J8 -to ext_ssram_bus_data[30]
set_location_assignment PIN_J7 -to ext_ssram_bus_data[31]
set_location_assignment PIN_D5 -to outputenable_n_to_the_ext_ssram
set_location_assignment PIN_D8 -to ext_flash_enet_bus_data[0]
set_location_assignment PIN_C8 -to ext_flash_enet_bus_data[1]
set_location_assignment PIN_F10 -to ext_flash_enet_bus_data[2]
set_location_assignment PIN_G10 -to ext_flash_enet_bus_data[3]
set_location_assignment PIN_D9 -to ext_flash_enet_bus_data[4]
set_location_assignment PIN_C9 -to ext_flash_enet_bus_data[5]
set_location_assignment PIN_B8 -to ext_flash_enet_bus_data[6]
set_location_assignment PIN_A8 -to ext_flash_enet_bus_data[7]
set_location_assignment PIN_H11 -to ext_flash_enet_bus_data[8]
set_location_assignment PIN_H12 -to ext_flash_enet_bus_data[9]
set_location_assignment PIN_F11 -to ext_flash_enet_bus_data[10]
set_location_assignment PIN_E10 -to ext_flash_enet_bus_data[11]
set_location_assignment PIN_B9 -to ext_flash_enet_bus_data[12]
set_location_assignment PIN_A9 -to ext_flash_enet_bus_data[13]
set_location_assignment PIN_C10 -to ext_flash_enet_bus_data[14]
set_location_assignment PIN_D10 -to ext_flash_enet_bus_data[15]
set_location_assignment PIN_B10 -to ext_flash_enet_bus_data[16]
set_location_assignment PIN_A10 -to ext_flash_enet_bus_data[17]
set_location_assignment PIN_E12 -to ext_flash_enet_bus_data[18]
set_location_assignment PIN_D12 -to ext_flash_enet_bus_data[19]
set_location_assignment PIN_J13 -to ext_flash_enet_bus_data[20]
set_location_assignment PIN_J14 -to ext_flash_enet_bus_data[21]
set_location_assignment PIN_F12 -to ext_flash_enet_bus_data[22]
set_location_assignment PIN_G12 -to ext_flash_enet_bus_data[23]
set_location_assignment PIN_J10 -to ext_flash_enet_bus_data[24]
set_location_assignment PIN_J11 -to ext_flash_enet_bus_data[25]
set_location_assignment PIN_C11 -to ext_flash_enet_bus_data[26]
set_location_assignment PIN_B11 -to ext_flash_enet_bus_data[27]
set_location_assignment PIN_C12 -to ext_flash_enet_bus_data[28]
set_location_assignment PIN_B12 -to ext_flash_enet_bus_data[29]
set_location_assignment PIN_D6 -to ext_flash_enet_bus_data[30]
set_location_assignment PIN_G11 -to ext_flash_enet_bus_data[31]
set_location_assignment PIN_F9 -to ext_flash_enet_bus_address[0]
set_location_assignment PIN_H8 -to ext_flash_enet_bus_address[1]
set_location_assignment PIN_D11 -to ext_flash_enet_bus_address[2]
set_location_assignment PIN_E8 -to ext_flash_enet_bus_address[3]
set_location_assignment PIN_B14 -to ext_flash_enet_bus_address[4]
set_location_assignment PIN_A14 -to ext_flash_enet_bus_address[5]
set_location_assignment PIN_F14 -to ext_flash_enet_bus_address[6]
set_location_assignment PIN_G14 -to ext_flash_enet_bus_address[7]
set_location_assignment PIN_F13 -to ext_flash_enet_bus_address[8]
set_location_assignment PIN_G13 -to ext_flash_enet_bus_address[9]
set_location_assignment PIN_C15 -to ext_flash_enet_bus_address[10]
set_location_assignment PIN_B15 -to ext_flash_enet_bus_address[11]
set_location_assignment PIN_B16 -to ext_flash_enet_bus_address[12]
set_location_assignment PIN_C16 -to ext_flash_enet_bus_address[13]
set_location_assignment PIN_D15 -to ext_flash_enet_bus_address[14]
set_location_assignment PIN_E15 -to ext_flash_enet_bus_address[15]
set_location_assignment PIN_H15 -to ext_flash_enet_bus_address[16]
set_location_assignment PIN_H16 -to ext_flash_enet_bus_address[17]
set_location_assignment PIN_A17 -to ext_flash_enet_bus_address[18]
set_location_assignment PIN_B17 -to ext_flash_enet_bus_address[19]
set_location_assignment PIN_G15 -to ext_flash_enet_bus_address[20]
set_location_assignment PIN_F15 -to ext_flash_enet_bus_address[21]
set_location_assignment PIN_F16 -to ext_flash_enet_bus_address[22]
set_location_assignment PIN_G16 -to ext_flash_enet_bus_address[23]
set_location_assignment PIN_H17 -to select_n_to_the_ext_flash
set_location_assignment PIN_F17 -to read_n_to_the_ext_flash
set_location_assignment PIN_G17 -to write_n_to_the_ext_flash
set_location_assignment PIN_F9 -to address_to_the_ext_flash[0]
set_location_assignment PIN_H8 -to address_to_the_ext_flash[1]
set_location_assignment PIN_D11 -to address_to_the_ext_flash[2]
set_location_assignment PIN_E8 -to address_to_the_ext_flash[3]
set_location_assignment PIN_B14 -to address_to_the_ext_flash[4]
set_location_assignment PIN_A14 -to address_to_the_ext_flash[5]
set_location_assignment PIN_F14 -to address_to_the_ext_flash[6]
set_location_assignment PIN_G14 -to address_to_the_ext_flash[7]
set_location_assignment PIN_F13 -to address_to_the_ext_flash[8]
set_location_assignment PIN_G13 -to address_to_the_ext_flash[9]
set_location_assignment PIN_C15 -to address_to_the_ext_flash[10]
set_location_assignment PIN_B15 -to address_to_the_ext_flash[11]
set_location_assignment PIN_B16 -to address_to_the_ext_flash[12]
set_location_assignment PIN_C16 -to address_to_the_ext_flash[13]
set_location_assignment PIN_D15 -to address_to_the_ext_flash[14]
set_location_assignment PIN_E15 -to address_to_the_ext_flash[15]
set_location_assignment PIN_H15 -to address_to_the_ext_flash[16]
set_location_assignment PIN_H16 -to address_to_the_ext_flash[17]
set_location_assignment PIN_A17 -to address_to_the_ext_flash[18]
set_location_assignment PIN_B17 -to address_to_the_ext_flash[19]
set_location_assignment PIN_G15 -to address_to_the_ext_flash[20]
set_location_assignment PIN_F15 -to address_to_the_ext_flash[21]
set_location_assignment PIN_F16 -to address_to_the_ext_flash[22]
set_location_assignment PIN_G16 -to address_to_the_ext_flash[23]
set_location_assignment PIN_R19 -to LCD_data_to_and_from_the_lcd_display[0]
set_location_assignment PIN_T19 -to LCD_data_to_and_from_the_lcd_display[1]
set_location_assignment PIN_U20 -to LCD_data_to_and_from_the_lcd_display[2]
set_location_assignment PIN_U21 -to LCD_data_to_and_from_the_lcd_display[3]
set_location_assignment PIN_V26 -to LCD_data_to_and_from_the_lcd_display[4]
set_location_assignment PIN_V25 -to LCD_data_to_and_from_the_lcd_display[5]
set_location_assignment PIN_V24 -to LCD_data_to_and_from_the_lcd_display[6]
set_location_assignment PIN_V23 -to LCD_data_to_and_from_the_lcd_display[7]
set_location_assignment PIN_U26 -to LCD_E_from_the_lcd_display
set_location_assignment PIN_T18 -to LCD_RS_from_the_lcd_display
set_location_assignment PIN_T17 -to LCD_RW_from_the_lcd_display
set_location_assignment PIN_Y11 -to in_port_to_the_button_pio[0]
set_location_assignment PIN_AA10 -to in_port_to_the_button_pio[1]
set_location_assignment PIN_AB10 -to in_port_to_the_button_pio[2]
set_location_assignment PIN_AE6 -to in_port_to_the_button_pio[3]
set_location_assignment PIN_AC10 -to out_port_from_the_led_pio[0]
set_location_assignment PIN_W11 -to out_port_from_the_led_pio[1]
set_location_assignment PIN_W12 -to out_port_from_the_led_pio[2]
set_location_assignment PIN_AE8 -to out_port_from_the_led_pio[3]
set_location_assignment PIN_AF8 -to out_port_from_the_led_pio[4]
set_location_assignment PIN_AE7 -to out_port_from_the_led_pio[5]
set_location_assignment PIN_AF7 -to out_port_from_the_led_pio[6]
set_location_assignment PIN_AA11 -to out_port_from_the_led_pio[7]
set_location_assignment PIN_AD10 -to out_port_from_the_seven_seg_pio[0]
set_location_assignment PIN_AF10 -to out_port_from_the_seven_seg_pio[1]
set_location_assignment PIN_AE10 -to out_port_from_the_seven_seg_pio[2]
set_location_assignment PIN_AE11 -to out_port_from_the_seven_seg_pio[3]
set_location_assignment PIN_AD11 -to out_port_from_the_seven_seg_pio[4]
set_location_assignment PIN_V13 -to out_port_from_the_seven_seg_pio[5]
set_location_assignment PIN_V14 -to out_port_from_the_seven_seg_pio[6]
set_location_assignment PIN_AC11 -to out_port_from_the_seven_seg_pio[7]
set_location_assignment PIN_V11 -to out_port_from_the_seven_seg_pio[8]
set_location_assignment PIN_Y12 -to out_port_from_the_seven_seg_pio[9]
set_location_assignment PIN_AA12 -to out_port_from_the_seven_seg_pio[10]
set_location_assignment PIN_AE12 -to out_port_from_the_seven_seg_pio[11]
set_location_assignment PIN_AD12 -to out_port_from_the_seven_seg_pio[12]
set_location_assignment PIN_AF13 -to out_port_from_the_seven_seg_pio[13]
set_location_assignment PIN_AE13 -to out_port_from_the_seven_seg_pio[14]
set_location_assignment PIN_U12 -to out_port_from_the_seven_seg_pio[15]
export_assignments
#project_close
