# Display signals from module sgdma_rx
add wave -noupdate -divider {sgdma_rx}
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_read
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_write
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_address
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_writedata
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_rx/csr_readdata


# Display signals from module descriptor_memory
add wave -noupdate -divider {descriptor_memory}
add wave -noupdate -format Logic /test_bench/DUT/the_descriptor_memory/chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_descriptor_memory/write
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_descriptor_memory/address
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_descriptor_memory/byteenable
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_descriptor_memory/readdata
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_descriptor_memory/writedata


# Display signals from module jtag_uart
add wave -noupdate -divider {jtag_uart}
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart/av_address
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/av_chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/av_irq
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/av_read_n
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart/av_readdata
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/av_waitrequest
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/av_write_n
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_jtag_uart/av_writedata
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/dataavailable
add wave -noupdate -format Logic /test_bench/DUT/the_jtag_uart/readyfordata


# Display signals from module cpu
add wave -noupdate -divider {cpu}
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/i_readdata
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/i_readdatavalid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/i_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/i_address
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/i_read
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/clk
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/reset_n
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_readdata
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_waitrequest
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_irq
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_address
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_byteenable
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_read
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_write
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/d_writedata
add wave -noupdate -divider {base pipeline}
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/clk
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/reset_n
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_stall
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_pcb_nxt
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_pcb
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_pcb
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/E_pcb
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_pcb
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/W_pcb
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu/F_vinst
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu/D_vinst
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu/E_vinst
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu/M_vinst
add wave -noupdate -format Logic -radix ascii /test_bench/DUT/the_cpu/W_vinst
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_inst_ram_hit
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_issue
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_kill
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_kill
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_refetch
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_issue
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_valid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/E_valid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_valid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/W_valid
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/W_wr_dst_reg
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/W_dst_regnum
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/W_wr_data
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_en
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_en
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/E_en
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_en
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/F_iw
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/D_iw
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/E_iw
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/E_valid_prior_to_hbreak
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_pipe_flush_nxt
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_pipe_flush_baddr_nxt
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_status_reg_pie
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/M_ienable_reg
add wave -noupdate -format Logic -radix hexadecimal /test_bench/DUT/the_cpu/intr_req


# Display signals from module sgdma_tx
add wave -noupdate -divider {sgdma_tx}
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_read
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_write
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_address
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_chipselect
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_writedata
add wave -noupdate -format Logic /test_bench/DUT/the_sgdma_tx/csr_readdata


# Display signals from module tse_mac
add wave -noupdate -divider {tse_mac}
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ena_10
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/eth_mode
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ff_rx_a_empty
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ff_rx_a_full
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ff_tx_a_empty
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ff_tx_a_full
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/ff_tx_septy
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_rx_col
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_rx_crs
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_tse_mac/m_rx_d
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_rx_en
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_rx_err
add wave -noupdate -format Literal -radix hexadecimal /test_bench/DUT/the_tse_mac/m_tx_d
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_tx_en
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/m_tx_err
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/mdc
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/mdio_in
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/mdio_oen
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/mdio_out
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/rx_clk
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/set_10
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/set_1000
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/tx_clk
add wave -noupdate -format Literal -radix binary /test_bench/DUT/the_tse_mac/tx_ff_uflow


configure wave -justifyvalue right
configure wave -signalnamewidth 1
TreeUpdate [SetDefaultTree]